## org.gnu.gtk
Class Preview

    java.lang.Object
      org.gnu.glib.Struct
          org.gnu.glib.GObject
              org.gnu.gtk.GtkObject
                  org.gnu.gtk.Widget
                      org.gnu.gtk.Preview

public class Preview
extends Widget

Constructor Summary
`Preview(PreviewType previewType)` Construct a new PreviewType object

Method Summary
`void` `drawRow(byte[] data, int x, int y, int w)`
`void` `put(Window win, GC gc, int srcX, int srcY, int destX, int destY, int width, int height)`
`void` `reset()`
`void` `setColorCube(int numRedShades, int numGreenShades, int numBlueShades, int numGrayShades)`
`void` `setExpand(boolean expand)`
`void` `setGamma(double gamma)`
`void` `setSize(int width, int height)` Set the size for this Preview.

Methods inherited from class org.gnu.gtk.Widget

`activate, addAccelerator, addEvents, addListener, addListener, addListener, addListener, addListener, addListener, addListener, addListener, addListener, addListener, addListener, canActivateAccel, createContext, createLayout, draw, drawArea, drawArea, finish, getAccessible, getColormap, getContext, getData, getDisplay, getDragData, getEventListenerClass, getEventType, getExtensionEvents, getModifierStyle, getName, getParent, getParentWindow, getPointer, getRootWindow, getScreen, getSensitive, getStyle, getToplevel, getType, getWidget, getWindow, grabDefault, grabFocus, hasFocus, hasScreen, hide, hideAll, highlight, highlight, intersect, isAncestor, makeWidget, modifyStyle, popColormap, pushColormap, realize, removeAccelerator, removeListener, removeListener, removeListener, removeListener, removeListener, removeListener, removeListener, removeListener, removeListener, removeListener, removeListener, reparent, setBackgroundColor, setBaseColor, setColormap, setDoubleBuffered, setDragDestination, setDragIcon, setDragIconPixbuf, setDragIconStock, setDragSource, setEvents, setExtensionEvents, setFont, setForegroundColor, setMinimumSize, setName, setNoDragDestination, setNoDragSource, setSensitive, setTextColor, shapeCombineMask, show, showAll, unHighlight, unHighlight`

Methods inherited from class org.gnu.gtk.GtkObject
`destroy, sink`

Methods inherited from class org.gnu.glib.GObject

`addEventHandler, addEventHandler, addEventHandler, addEventHandler, addEventHandler, addEventHandler, addListener, collect, freezeNotify, getBooleanProperty, getData, getDoubleProperty, getFloatProperty, getGObjectFromHandle, getIntProperty, getJavaObjectProperty, getLongProperty, getPixbufProperty, getProperty, getStringProperty, hasProperty, notify, removeEventHandler, removeListener, setBooleanProperty, setData, setDoubleProperty, setFloatProperty, setIntProperty, setJavaObjectProperty, setLongProperty, setPixbufProperty, setProperty, setStringProperty, thawNotify`

Methods inherited from class org.gnu.glib.Struct
`equals, getHandle, getNullHandle, hashCode`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Preview

    public Preview(PreviewType previewType)

  Construct a new PreviewType object

Parameters:
  `previewType` -

Method Detail

### setSize

    public void setSize(int width,
                        int height)

  Set the size for this Preview.

  Parameters:
    `width` -
    `height` -

### put

    public void put(Window win,
                    GC gc,
                    int srcX,
                    int srcY,
                    int destX,
                    int destY,
                    int width,
                    int height)

### drawRow

    public void drawRow(byte[] data,
                        int x,
                        int y,
                        int w)

### setExpand

    public void setExpand(boolean expand)

### setGamma

    public void setGamma(double gamma)

### setColorCube

    public void setColorCube(int numRedShades,
                             int numGreenShades,
                             int numBlueShades,
                             int numGrayShades)

### reset

    public void reset()